Skip to main content
GET
/
accounts
/
{account_number}
/
holds
Error
A valid request URL is required to generate request examples
{
  "status": "00",
  "message": "Account holds retrieved successfully",
  "data": {
    "holds": [
      {
        "account_number": "0123456789",
        "reference": "HLD123456789",
        "amount": 500,
        "narration": "Loan repayment hold",
        "start_hold_date": "2024-03-20",
        "end_hold_date": "2024-04-20",
        "status": "ACTIVE"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

connection-id
string

Connection ID for the target bank

idempotency-key
string
required

Unique key to ensure idempotency of the request

signature
string
required

SHA-256 signature of client_secret + ";" + idempotency-key

Path Parameters

account_number
string
required

Account number in NUBAN format

Response

Account holds retrieved successfully

status
string
required
Example:

"00"

message
string
required
Example:

"Account holds retrieved successfully"

data
object
required